﻿const loading = document.getElementById("loading");
let loadingLive = true
async function getUsers() {
    // отправляет запрос и получаем ответ
    const response = await fetch("/api/users", {
        method: "GET",
        headers: { "Accept": "application/json" }
    });
    // если запрос прошел нормально
    if (response.ok === true) {
        // получаем данные
        const users = await response.json();
        const table = document.getElementById("users");
        if (loadingLive) {
            loading.remove();
            loadingLive = false
        }
        users.forEach(user => table.append(create(user)));
        return users;
    }
}

function create(user) {
    let tr = document.createElement("tr");
    let tdName = document.createElement("td");
    let tdMast = document.createElement("td");
    let tdId = document.createElement("td");
    let tdBut = document.createElement("td");
    let ButtDel = document.createElement("button");
    let ButtEdit = document.createElement("button");
    tdId.append(user.id);
    tdName.append(user.nickname);
    tdMast.append(user.mast);
    ButtDel.append("УДАЛИТЬ");
    ButtEdit.append("ИЗМЕНИТЬ");
    tdBut.append(ButtDel, ButtEdit);
    tdBut.id = "ADMINBUT" + user.id;
    tdBut.className = "ADMINBUT"
    tdBut.style.display = "none";
    tr.append(tdId, tdName, tdMast, tdBut);
    return tr;
}
// Добавление пользователя
console.log(getUsers());
console.log("loaded!");


function admin() {
    document.body.style.background = "black";
    document.getElementById("admin").remove();
    let adminbuttons = document.getElementsByClassName("ADMINBUT");
    for (let item of adminbuttons) {
        item.style.display = "inline";
    }
}